"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Sequence = void 0;
class Sequence {
    constructor() {
        this.current = null;
    }
    start() {
        this.running = true;
    }
    stop() {
        this.running = false;
    }
    isRunning() {
        return this.running;
    }
    getState() {
        return {
            hash: this.current.hash,
            name: this.current.name,
            progress: this.progress
        };
    }
}
exports.Sequence = Sequence;
//# sourceMappingURL=index.js.map